function Plot_tradeoff(obj_flag, PF_set, Jtest, Jbest, objfunc_name, counter, maxiter)
% Works up to 6 objectives
num_objs = length(obj_flag);
if num_objs == 2
    figure(1)
    h = gcf;
    set(h, 'WindowStyle', 'docked');
    plot(obj_flag(1) * PF_set(:,1), obj_flag(2) * PF_set(:,2),' bd')
    if ~isempty(Jbest)
        hold on
        plot(obj_flag(1) * Jbest(1), obj_flag(2) * Jbest(:,2),'r*');
    end
    if ~isempty(Jtest)
        hold on
        plot(obj_flag(1)*Jtest(1),obj_flag(2)*Jtest(2),'gs');
    end
    title([objfunc_name, ' Iteration = ' ,num2str(counter),'/',num2str(maxiter)]);
    grid off
    hold on
    xlabel('f_1'),ylabel('f_2')
    hold off
elseif num_objs == 3
    figure(1)
    h = gcf;
    set(h, 'WindowStyle', 'docked');
    subplot(2,2,1);
    plot3(obj_flag(1)*PF_set(:,1),obj_flag(2)*PF_set(:,2),obj_flag(3)*PF_set(:,3),'bd')
    if ~isempty(Jbest)
        hold on
        plot3(obj_flag(1) * Jbest(1), obj_flag(2) * Jbest(:,2), obj_flag(3) * Jbest(3), 'r*');
    end
    if ~isempty(Jtest)
        hold on
        plot3(obj_flag(1)*Jtest(1), obj_flag(2)*Jtest(2), obj_flag(3)*Jtest(3), 'gs');
    end
    hold on
    %setting grid cells in the objective space   
    grid off
    xlabel('f_1'),ylabel('f_2'),zlabel('f_3')
    hold off
%%
   subplot(2,2,2);
    plot(obj_flag(1)*PF_set(:,1),obj_flag(2)*PF_set(:,2),'bd');
    hold on
    if ~isempty(Jbest)
        hold on
        plot(obj_flag(1) * Jbest(1), obj_flag(2) * Jbest(:,2),'r*');
    end
    if ~isempty(Jtest)
        hold on
        plot(obj_flag(1)*Jtest(1),obj_flag(2)*Jtest(2),'gs');
    end
    grid off
    xlabel(strcat('f_',num2str(1))),ylabel(strcat('f_',num2str(2)))
    hold off
    subplot(2,2,3);
    plot(obj_flag(1)*PF_set(:,1),obj_flag(3)*PF_set(:,3),'bd');
    hold on
    if ~isempty(Jbest)
        hold on
        plot(obj_flag(1) * Jbest(1), obj_flag(3) * Jbest(:,3),'r*');
    end
    if ~isempty(Jtest)
        hold on
        plot(obj_flag(1)*Jtest(1),obj_flag(3)*Jtest(3),'gs');
    end
    grid off
    xlabel(strcat('f_',num2str(1))),ylabel(strcat('f_',num2str(3)))
    hold on
    subplot(2,2,4);
    plot(obj_flag(2)*PF_set(:,2),obj_flag(3)*PF_set(:,3),'bd');
    if ~isempty(Jbest)
        hold on
        plot(obj_flag(2) * Jbest(2), obj_flag(3) * Jbest(:,3),'r*');
    end
    if ~isempty(Jtest)
        hold on
        plot(obj_flag(2)*Jtest(2),obj_flag(3)*Jtest(3),'gs');
    end
    grid off
    hold off
    %%
    xlabel(strcat('f_',num2str(2))),ylabel(strcat('f_',num2str(3)))
    set(gcf,'NextPlot','add');
    axes;
    h = title([objfunc_name, ' Iteration = ' ,num2str(counter),'/',num2str(maxiter)]);
    set(gca,'Visible','off');
    set(h,'Visible','on', 'interpreter', 'none');
elseif num_objs == 4 || num_objs == 5 
    figure(1)
    h = gcf;
    set(h, 'WindowStyle', 'docked');
    index_vec = nchoosek(1 : num_objs, 2);
    for fig_num = 1 : size(index_vec,1)
        subplot(3, num_objs - 1, fig_num);
        plot(obj_flag(index_vec(fig_num,1))*PF_set(:,index_vec(fig_num,1)),obj_flag(index_vec(fig_num,2))*PF_set(:,index_vec(fig_num,2)),'k.');
        if ~isempty(Jbest)
            hold on
            plot(obj_flag(index_vec(fig_num,1))*Jbest(:,index_vec(fig_num,1)),obj_flag(index_vec(fig_num,2))*Jbest(:,index_vec(fig_num,2)),'r*');
        end
        if ~isempty(Jtest)
            hold on
            plot(obj_flag(index_vec(fig_num,1))*Jtest(:,index_vec(fig_num,1)),obj_flag(index_vec(fig_num,2))*Jtest(:,index_vec(fig_num,2)),'go');
        end
        grid on
        xlabel(strcat('f_',num2str(index_vec(fig_num,1)))),ylabel(strcat('f_',num2str(index_vec(fig_num,2))))
        hold off
    end
    set(gcf,'NextPlot','add');
    axes;
    set(gca,'Visible','off');
    h = title([objfunc_name, ' Iteration = ' ,num2str(counter),'/',num2str(maxiter)]);
    set(h,'Visible','on', 'interpreter', 'none');
elseif num_objs == 6
    figure(1)
    h = gcf;
    set(h, 'WindowStyle', 'docked');
    index_vec = nchoosek(1 : num_objs, 2);
    for fig_num = 1 : size(index_vec,1)
        subplot(3, num_objs - 1, fig_num);
        plot(obj_flag(index_vec(fig_num,1))*PF_set(:,index_vec(fig_num,1)),obj_flag(index_vec(fig_num,2))*PF_set(:,index_vec(fig_num,2)),'bd');
        if ~isempty(Jbest)
            hold on
            plot(obj_flag(index_vec(fig_num,1))*Jbest(:,index_vec(fig_num,1)),obj_flag(index_vec(fig_num,2))*Jbest(:,index_vec(fig_num,2)),'r*');
        end
        if ~isempty(Jtest)
            hold on
            plot(obj_flag(index_vec(fig_num,1))*Jtest(:,index_vec(fig_num,1)),obj_flag(index_vec(fig_num,2))*Jtest(:,index_vec(fig_num,2)),'gs');
        end
        grid on
        xlabel(strcat('f_',num2str(index_vec(fig_num,1)))),ylabel(strcat('f_',num2str(index_vec(fig_num,2))))
        hold off
    end
    set(gcf,'NextPlot','add');
    axes;
    h = title([objfunc_name, ' Iteration = ' ,num2str(counter),'/',num2str(maxiter)]);
    set(gca,'Visible','off');
    set(h,'Visible','on', 'interpreter', 'none');
end